body {
    font-family: Arial, "Helvetica Neue", Helvetica, sans-serif;
}

.input {
    margin: 50px;
    box-sizing: border-box;
    height: 25px;
    border: 0;
    border-bottom: 1px solid grey;
}

.input:hover {
    border-bottom: 3px solid grey;
}

.input:focus {
    border-bottom: 3px solid grey;
}

.input::placeholder {
    opacity: 0;
}

.input:focus::placeholder {
    transition: opacity 0.5s;
    opacity: 1;
}

.input-label {
    position: absolute;
    top: 52px;
    left: 55px;
}

.input-label.f {
    top: 177px;
}

.input-label.s {
    top: 301px;
}

.input:focus + .input-label {
    top: 32px;
    font-size: 12px;
    transition: top 0.5s, font-size 0.5s;
}

.input:focus + .input-label.f {
    top: 157px;
    font-size: 12px;
    transition: top 0.5s, font-size 0.5s;
}

.input:focus + .input-label.s {
    top: 281px;
    font-size: 12px;
    transition: top 0.5s, font-size 0.5s;
}

.checkbox-label {
    margin-left: 50px;
}

.checkbox {
    display: none;
}

.checkmark {
    position: relative;
    left: 150px;
    top: -20px;
    display: block;
    width: 25px;
    height: 25px;
    background-color: grey;
    border-radius: 50%;
}

.checkbox-label:hover .checkmark {
    background-color: black;
    transition: background-color .5s;
}

.checkbox:checked + .checkmark{
    background-color: green;
}

.checkmark:before{
    content: "";
    position: absolute;
    display: none;
    width: 10px;
    height: 10px;
    left: 7.5px;
    top: 7.5px;
    border-radius: 50%;
    background-color: yellow;
}

.checkbox:checked + .checkmark:before{
    display: block;
}
